#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# WebGLFilterManager Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:5`
Module: PIXI

## Constructor

### `WebGLFilterManager`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- applyFilterPass
- begin
- destroy
- initShaderBuffers
- popFilter
- pushFilter
- setContext

### Properties

- filterStack
- offsetX
- offsetY

## Methods

### `applyFilterPass`

(

- `filter`
- `filterArea`
- `width`
- `height`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:315`

Applies the filter to the specified area.

#### Parameters:

- `filter` AbstractFilter

  the filter that needs to be applied

- `filterArea` Texture

  TODO - might need an update

- `width` Number

  the horizontal range of the filter

- `height` Number

  the vertical range of the filter

### `begin`

(

- `renderSession`
- `buffer`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:46`

#### Parameters:

- `renderSession` RenderSession
- `buffer` ArrayBuffer

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:424`

Destroys the filter and removes it from the filter stack.

### `initShaderBuffers`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:376`

Initialises the shader buffers.

### `popFilter`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:138`

Removes the last filter from the filter stack and doesn't return it.

### `pushFilter`

(

- `filterBlock`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:62`

Applies the filter and adds it to the current filter stack.

#### Parameters:

- `filterBlock` Object

  the filter that will be pushed to the current filter stack

### `setContext`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:32`

Initialises the context and the properties.

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

## Properties

### `filterStack`

Array

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:11`

### `offsetX`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:17`

### `offsetY`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLFilterManager.js:23`